Page MenuHomePhabricator

Simplify Symbol Status Message to Only Debug Info Size
ClosedPublic

Authored by wallace on Aug 26 2020, 2:00 PM.

Details

Summary

The Symbol Status in modules view is simplified so that only when the module has debug info and its size is non-zero, will the status message be displayed. The symbol status message is renamed to debug info size and flag message like "Symbols not found" and "Symbols loaded" is deleted.

Diff Detail

Event Timeline

aelitashen created this revision.Aug 26 2020, 2:00 PM
Herald added a project: Restricted Project. · View Herald TranscriptAug 26 2020, 2:00 PM
aelitashen requested review of this revision.Aug 26 2020, 2:00 PM
wallace requested changes to this revision.Aug 26 2020, 2:16 PM

For the record, this came out of discussion in which the consensus was to display less characters and maximize the relevant information, which in this case is just the debug info size.

lldb/test/API/tools/lldb-vscode/module/TestVSCode_module.py
34–35

remove this line instead of commenting

41–42

same here

lldb/tools/lldb-vscode/JSONUtils.cpp
389

rename this field to "debugInfoSize"

This revision now requires changes to proceed.Aug 26 2020, 2:16 PM

Could you please also include a testcase?

wallace added inline comments.Aug 26 2020, 2:42 PM
lldb/test/API/tools/lldb-vscode/module/TestVSCode_module.py
42

@aprantl , this is the part of the code that is testing the field change

Sorry, I missed this!

Keep symbol status till new version released, remove comments in tests.

wallace accepted this revision.Aug 27 2020, 2:21 PM
This revision is now accepted and ready to land.Aug 27 2020, 2:21 PM

So we are adding a custom new "debugInfoSize" field to the "module" JSON dictionary? What happens in the release VS code? Does this information not get displayed, but it will get displayed in our custom modified VS Code IDE?

All module information is only displayed in our custom VSCode. Vanilla VSCode doesn't have support for displaying modules.

wallace commandeered this revision.Sep 1 2020, 3:58 PM
wallace edited reviewers, added: aelitashen; removed: wallace.
This revision now requires review to proceed.Sep 1 2020, 3:58 PM
This revision was not accepted when it landed; it landed in state Needs Review.Sep 1 2020, 4:25 PM
This revision was landed with ongoing or failed builds.
This revision was automatically updated to reflect the committed changes.